curl --request POST \
--url https://app.tagadapay.com/api/public/v1/test/list-scenarios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"totalScenarios": 2,
"scenarios": [
{
"scenarioId": "test-final-004",
"status": "completed",
"startedAt": "2025-12-28T09:57:29.417Z",
"completedAt": "2025-12-28T09:57:32.927Z",
"stats": {
"totalHandlers": 6,
"immediateCompleted": 3,
"deferredDispatched": 3,
"deferredCompleted": 3,
"failedHandlers": 0
}
}
]
}Get a list of all test scenario results stored in KV
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/test/list-scenarios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"totalScenarios": 2,
"scenarios": [
{
"scenarioId": "test-final-004",
"status": "completed",
"startedAt": "2025-12-28T09:57:29.417Z",
"completedAt": "2025-12-28T09:57:32.927Z",
"stats": {
"totalHandlers": 6,
"immediateCompleted": 3,
"deferredDispatched": 3,
"deferredCompleted": 3,
"failedHandlers": 0
}
}
]
}Enter your API key as: Bearer your-api-key
The body is of type object.
Successful response